const express = require('express');
const router = express.Router();
const feedbackController = require('../controllers/feedbackController');
const { protect, admin } = require('../middleware/authMiddleware');

router.post('/', protect, feedbackController.createFeedback);
router.get('/', protect, admin, feedbackController.getAllFeedbacks);
router.delete('/:id', protect, admin, feedbackController.deleteFeedback);

module.exports = router;
